## neonhttpsrc

neonhttpsrc — Receive data as a client over the network via HTTP using NEON

## Properties

gchar * | location | Read / Write
gchar * | proxy | Read / Write
gchararray | uri | Read / Write
gboolean | automatic-redirect | Read / Write
gchar * | iradio-genre | Read
gboolean | iradio-mode | Read / Write
gchar * | iradio-name | Read
gchar * | iradio-url | Read
gboolean | neon-http-debug | Read / Write
gchar * | user-agent | Read / Write
gboolean | accept-self-signed | Read / Write
guint | connect-timeout | Read / Write
GStrv | cookies | Read / Write
guint | read-timeout | Read / Write

## Types and Values

struct | GstNeonhttpSrc

## Implemented Interfaces

GstNeonhttpSrc implements GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | neon
author | Edgard Lima <edgard.lima@indt.org.br>, Rosfran Borges <rosfran.borges@indt.org.br>, Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstNeonhttpSrc

    struct GstNeonhttpSrc {
      GstPushSrc element;

      /* socket */
      ne_session *session;
      ne_request *request;
      ne_uri uri;
      gchar *location;
      gchar *query_string;
      ne_uri proxy;
      gchar *user_agent;
      gchar **cookies;

      guint64 content_size;

      gboolean eos;

      /* whether to request icecast metadata */
      gboolean iradio_mode;

      /* enable Neon HTTP redirects (HTTP 302 status code) */
      gboolean automatic_redirect;

      /* enable Neon HTTP debug messages */
      gboolean neon_http_debug;

      /* accept self-signed certificates */
      gboolean accept_self_signed;

      gint64 read_position;
      gboolean seekable;

      /* seconds before timing out when connecting or reading to/from a socket */
      guint connect_timeout;
      guint read_timeout;
    };

## Property Details

### The `“location”` property

      “location”                 gchar *

Location to read from.

Flags: Read / Write

Default value: ""

### The `“proxy”` property

      “proxy”                    gchar *

Proxy server to use, in the form HOSTNAME:PORT. Defaults to the http_proxy environment variable.

Flags: Read / Write

Default value: ""

### The `“uri”` property

      “uri”                      gchararray

The location in form of a URI (deprecated; use location).

Flags: Read / Write

Default value: ""

### The `“automatic-redirect”` property

      “automatic-redirect”       gboolean

Automatically follow HTTP redirects (HTTP Status Code 3xx).

Flags: Read / Write

Default value: TRUE

### The `“iradio-genre”` property

      “iradio-genre”             gchar *

Genre of the stream.

Flags: Read

Default value: NULL

### The `“iradio-mode”` property

      “iradio-mode”              gboolean

Enable internet radio mode (ask server to send shoutcast/icecast metadata interleaved with the actual stream data).

Flags: Read / Write

Default value: TRUE

### The `“iradio-name”` property

      “iradio-name”              gchar *

Name of the stream.

Flags: Read

Default value: NULL

### The `“iradio-url”` property

      “iradio-url”               gchar *

Homepage URL for radio stream.

Flags: Read

Default value: NULL

### The `“neon-http-debug”` property

      “neon-http-debug”          gboolean

Enable Neon HTTP debug messages.

Flags: Read / Write

Default value: FALSE

### The `“user-agent”` property

      “user-agent”               gchar *

Value of the User-Agent HTTP request header field.

Flags: Read / Write

Default value: "GStreamer neonhttpsrc"

### The `“accept-self-signed”` property

      “accept-self-signed”       gboolean

Accept self-signed SSL/TLS certificates.

Flags: Read / Write

Default value: FALSE

### The `“connect-timeout”` property

      “connect-timeout”          guint

Value in seconds to timeout a blocking connection (0 = default).

Flags: Read / Write

Allowed values: <= 3600

Default value: 0

### The `“cookies”` property

      “cookies”                  GStrv

HTTP request cookies.

Flags: Read / Write

### The `“read-timeout”` property

      “read-timeout”             guint

Value in seconds to timeout a blocking read (0 = default).

Flags: Read / Write

Allowed values: <= 3600

Default value: 0